package cmd

import (
	"fmt"
	config "github.com/flipped-aurora/gin-vue-admin/server/configx"
	server "github.com/flipped-aurora/gin-vue-admin/server/servicex"

	"github.com/fox/fox/log"
)

func initRepo() {
	//operation.InitRedis()
	//operation.InitDb()
}

func Run(GitCommit, GitBranch, BuildDate string) {
	config.InitLog()
	config.LoadConfig(GitCommit, GitBranch, BuildDate)
	log.Info(fmt.Sprintf("版本分支:%v,hash值:%v,编译时间:%v", GitBranch, GitCommit, BuildDate))
	initRepo()

	server.Init()
	// 交给core/server_run.go initServer去关闭
	// 截获 SIGINT 和 SIGTERM 信号
	//c := make(chan os.Signal, 1)
	//signal.Notify(c, syscall.SIGINT, syscall.SIGTERM)
	//sig := <-c
	//server.Stop()
	//log.Info(fmt.Sprintf("received %s, initiating shutdown...", sig))
}
